<< plq_diff | plq | plq_eval >>

CCA (Computational Convex Analysis) >> plq > plq_dom

# plq_dom

Piecewise linear quadratic (plq), function effective domain

### Calling Sequence

    I = plq_minPt(plqf)

### Parameters

plqf

  matrix. A PLQ function.

I

  1x2 matrix [lb;ub]. Gives the interval [lb,ub] on which plqf is finite.

### Description

Computes and returns the effective domain of the given PLQ function. Assumes that the effective domain of the function is connected, so that the effective domain is either a closed interval [lb,ub], or the empty set (if plqf is %inf everywhere).

This function runs in O(1) time.

### Examples

    plqf = [-2,0,0,%inf; 1,1,0,0; %inf,0,0,%inf];
    I = plq_dom(plqf),

    plqf = [5,0,0,10];
    I = plq_dom(plqf),

### See Also

- plq_function

### Authors

`Bryan Gardiner`, University of British Columbia, BC, Canada

<< plq_diff | plq | plq_eval >>